#!/bin/sh

# pack.c by Henryk Plötz, http://www.ploetzli.ch/ipod/

# usage: ./raw565.sh image.ext > 565data

WIDTH=98
HEIGHT=67
PIXELS=6566
BYTES=2
SIZE=13132
BACKGROUND=black
GRAVITY=center

BIGENDIAN=0
LITTLEENDIAN=1
ENDIANESS=$LITTLEENDIAN

convert -size $WIDTH'x'$HEIGHT $1 -thumbnail $WIDTH'x'$HEIGHT\> \
        -background $BACKGROUND -gravity $GRAVITY -extent $WIDTH'x'$HEIGHT \
        -depth 8 rgb:- \
        | ./pack $WIDTH $HEIGHT $ENDIANESS -

